#!/bin/bash
URL="https://support.dalegroup.net/files/BluetraitInstallerLinux.tar.gz"
DEST="/opt/msp-agent/BluetraitInstallerLinux.tar.gz"
INST="/opt/msp-agent/"


if [ -x "$(which curl)" ] ; then
	curl -f $URL -o $DEST
elif [ -x "$(which wget)" ]; then
	wget -q $URL -O $DEST
else
	echo "Curl or wget not found"
	exit 1
fi

if test -f "$DEST"; then
	echo "Found file, upgrading..."
	#systemctl stop btagent
	tar -xzvf $DEST -C $INST
	chmod -R 755 $INST
	systemctl daemon-reload
	systemctl restart btagent
	rm $DEST
else
	echo "File not found"
	exit 1
fi