#!/bin/bash

# Check if root
if [[ "$EUID" -ne 0 ]]
  then echo "Please run as root"
  exit
fi
if [ "${PWD:0:15}" = "/opt/msp-agent" ]
  then echo "Starting Install..."
  else echo "Please start install from /opt/msp-agent/"
  exit
fi

echo "Checking for OS updates..."
# Update apt
apt-get --assume-yes -qq update;
# Check if Python3 is installed, install it if not
command -v python3 >/dev/null 2>&1 || { echo "Installing Python3...";  apt-get --assume-yes -qq install python3; }
# Check if Pip3 is installed, install it if not
command -v pip3 >/dev/null 2>&1 || { echo "Installing Pip3...";  apt-get --assume-yes -qq install python3-pip; }

# Installing python3-full
echo "Installing python3-full..."
apt-get --assume-yes -qq install python3-full;

# create virtual environment
echo "Installing Virtual Environment..."
pip3 install virtualenv

echo "Removing old Virtual Environment..."
rm -r venv

echo "Creating Virtual Environment..."
python3 -m venv venv

echo "Activating..."
source venv/bin/activate

#cd venv/bin

echo "Upgrading setuptools..."
pip3 install --upgrade setuptools

# install dependencies
echo "Installing dependencies..."
python3 setup.py install

echo "Installing Agent..."
# install agent
#cd /opt/msp-agent
#source venv/bin/activate
#cd venu/bin
python3 btagent install

echo "Enabling service..."
# add service to systemd
systemctl enable $PWD/btagent.service
systemctl restart btagent
