#!/bin/bash

echo "Please use the native MacOS PKG file. This installer does not support MacOS anymore"
exit

# Check if root
if [[ "$EUID" -ne 0 ]]
  then echo "Please run as root"
  exit
fi

if [[ ! "$(python3 -V)" =~ "Python 3" ]]
  then
    #need to install python3
    echo "We need the command line tools installed. Please click install and then agree on popup"
    xcode-select --install
    exit
    #echo "Sorry Python3 is not installed on this machine. Please upgrade to MacOS 10.15+"
    #echo "Installing Python"
    #CI=1 /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
    #export PATH="/usr/local/opt/python/libexec/bin:$PATH"
    #brew install python
fi

#unload 
launchctl unload "/Library/LaunchDaemons/net.dalegroup.bluetraitagent.plist"

#make directory for install
mkdir /opt/msp-agent/

#copy files
cp -r * /opt/msp-agent/

#PATH Variable
export PYTHONPATH="${PYTHONPATH}:/usr/local/lib/python3.7/site-packages"

#change directory
cd /opt/msp-agent/

# install dependencies
/usr/bin/pip3 install requests
/usr/bin/pip3 install uptime
/usr/bin/pip3 install pebble
/usr/bin/pip3 install configparser
/usr/bin/pip3 install psutil
/usr/bin/pip3 install urllib3

#run
/usr/bin/python3 btagent install

#copy launch daemon
ln -s /opt/msp-agent/net.dalegroup.bluetraitagent.plist /Library/LaunchDaemons/net.dalegroup.bluetraitagent.plist

#load 
launchctl load -w "/Library/LaunchDaemons/net.dalegroup.bluetraitagent.plist"

#Done
echo "Install Complete"