#!/bin/bash
URL="https://support.dalegroup.net/files/BluetraitInstallerLinux.tar.gz"
DEST="/opt/msp-agent/BluetraitInstallerLinux.tar.gz"
INST="/opt/msp-agent/"


if [ -x "$(which curl)" ] ; then
	curl -f $URL -o $DEST
elif [ -x "$(which wget)" ]; then
	wget -q $URL -O $DEST
else
	echo "Curl or wget not found"
	exit 1
fi

if test -f "$DEST"; then
	echo "Found file, upgrading..."
	tar -xzvf $DEST -C $INST
	chmod -R 755 $INST
	
	chown root:wheel "/Library/LaunchDaemons/net.dalegroup.bluetraitagent.plist"
	chmod 600 "/Library/LaunchDaemons/net.dalegroup.bluetraitagent.plist"
	
	#unload 
	launchctl unload "/Library/LaunchDaemons/net.dalegroup.bluetraitagent.plist"
	
	#copy launch daemon
	ln -s /opt/msp-agent/net.dalegroup.bluetraitagent.plist /Library/LaunchDaemons/net.dalegroup.bluetraitagent.plist

	#load 
	launchctl load -w "/Library/LaunchDaemons/net.dalegroup.bluetraitagent.plist"
	
	rm $DEST
else
	echo "File not found"
	exit 1
fi